Bug 212796 - Incorrect uses of Obsoletes and Provides in mono
Summary: Incorrect uses of Obsoletes and Provides in mono
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2006-10-29 06:16 UTC by Kevin Kofler
Modified: 2008-04-04 14:23 UTC (History)
1 user (show)

Fixed In Version: 1.2.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 14:23:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Kofler 2006-10-29 06:16:19 UTC
Description of problem:
Mono uses Obsoletes and Provide tags after the %description tag, which show up 
in the description instead of fulfilling their intended use, namely:
Obsoletes:      mono-basic
Provides:       mono-basic
(for mono-core) and:
Obsoletes:      mono-devtools
Provides:       mono-devtools
(for mono-devel).

Moreover, using Obsoletes/Provides for mono-basic is wrong. This is now a 
separate upstream package, so it is not actually included in mono-core. Thus, 
mono-core definitely shouldn't Provide it. The Obsoletes should also be 
versioned (i.e. Obsoletes: mono-basic < 1.1.17.1) so mono-basic can be 
packaged into Extras or similar repositories.

Version-Release number of selected component (if applicable):
1.1.17.1-3.fc6

How reproducible:
Always.

Steps to Reproduce:
N/A
  
Actual results:
RPM tags in the description.

Expected results:
RPM tags are interpreted by RPM.

Additional info:
N/A

Comment 4 Alexander Larsson 2006-11-08 16:25:57 UTC
So, the mono-devtools thing is a transient and should be removed.
The mono-basic part should just be removed and handled by the extras package.
Fortunately the error in placement makes these not efficient, so this is more of
a cosmetic bug than an actual bug, so no need for an FC6 update.


Comment 5 Alexander Larsson 2006-11-08 16:27:20 UTC
(we should fix it in rawhide of course)

Comment 6 Paul F. Johnson 2007-11-21 12:38:48 UTC
I'll fix it on the next push to 1.2.6 in rawhide

Comment 7 Bug Zapper 2008-04-04 04:13:38 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.